build: false
platform: x86
clone_folder: c:\projects\dunglas\api-bundle

cache:
  - '%LOCALAPPDATA%\Composer\files'

init:
  - SET PATH=c:\tools\php;%PATH%

install:
  - cinst -y php -i
  - cd c:\tools\php
  - copy php.ini-production php.ini /Y
  - echo date.timezone="UTC" >> php.ini
  - echo extension_dir=ext >> php.ini
  - echo extension=php_openssl.dll >> php.ini
  - echo extension=php_mbstring.dll >> php.ini
  - echo extension=php_intl.dll >> php.ini
  - echo extension=php_pdo_sqlite.dll >> php.ini
  - echo memory_limit=1G >> php.ini
  - cd %APPVEYOR_BUILD_FOLDER%
  - php -r "readfile('http://getcomposer.org/installer');" | php
  - php composer.phar install --no-interaction --no-progress

test_script:
  - cd %APPVEYOR_BUILD_FOLDER%
  - php vendor\behat\behat\bin\behat
  - php vendor\phpunit\phpunit\phpunit
